Subject: RE: [Disman] IANA considerations in draft-ietf-disman-alarm-mib-1 5.txt

From: "Sharon Chisholm" <[email-masked]>
Date: Wed, 8 Oct 2003 15:33:42 -0400

Hi

The following is the proposed resolution to Randy-66. Assuming no objection,
this item will be considered closed conditional on the proposed edit being
done.

In section 5.2, replace

"
   assigned. Values of IANAProbableCause greater than 1024 may be
   assigned for causes not covered by existing probable causes."

With

"
   assigned. Values of IANAProbableCause greater than 1024 may be
   assigned on a first come first served basis for causes not covered by 
   existing probable causes."

As requiring an RFC to explain what 'shelfOnFire" means is just a make work
project.

Sharon

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]] 
Sent: Thursday, October 02, 2003 6:42 PM
To: Disman (E-mail)
Subject: [Disman] IANA considerations in draft-ietf-disman-alarm-mib-15.txt

Hi -

> From: "Sharon Chisholm" <[email-masked]>
> To: "Disman (E-mail)" <[email-masked]>
> Cc: <[email-masked]>; "Randy Presuhn" 
> <[email-masked]>; "Romascanu, Dan (Dan)"
<[email-masked]>
> Sent: Monday, September 29, 2003 7:34 AM
> Subject: [Disman] RE: Comments on draft-ietf-disman-alarm-mib-14.txt
>

...
> 66) 5.2: we will probably need to give IANA more guidance on how additions
>     should be approved.  We agreed that we didn't want an immortal WG, but
>     we do need to tell them what kind of review, if any, is needed before
>     a addition is made.
...

Though this is marked "changed", I can't find a statement about what kind of
review is needed for additions.  I think RFC 2434 section 4 is pretty clear
that this is needed.  I propose the "specification required" level of
review.  Other thoughts?

Randy

---

From: "Sharon Chisholm" <[email-masked]>
Date: Wed, 8 Oct 2003 15:50:34 -0400

Hi

RFC2434 says

"
      Specification Required - Values and their meaning must be
           documented in an RFC or other permanent and readily available
           reference, in sufficient detail so that interoperability
           between independent implementations is possible.
"

This is overkill.

Sharon

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]] 
Sent: Wednesday, October 08, 2003 3:47 PM
To: Disman (E-mail)
Subject: Re: [Disman] IANA considerations in
draft-ietf-disman-alarm-mib-15.txt

Hi -

> Cc: "Randy Presuhn" <[email-masked]>
> Sent: Wednesday, October 08, 2003 12:33 PM
> Subject: RE: [Disman] IANA considerations in 
> draft-ietf-disman-alarm-mib-15.txt
...
> As requiring an RFC to explain what 'shelfOnFire" means is just a make 
> work project.
..

It sounds like there's a misconception here.
"Specification required"  does NOT mean an RFC is required.
RFC 2434 says:

|      Specification Required - Values and their meaning must be
|           documented in an RFC or other permanent and readily available
|           reference, in sufficient detail so that interoperability
|           between independent implementations is possible.

This seems to me to be exactly what we'd want to make it easy enough to add
values when needed, but with enough of a bar to prevent ad hoc and
willy-nilly proliferation.

Randy